<html>
<head>
<title>OGRE: OgrePlatform.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgrePlatform.h</h1><a href="OgrePlatform_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2006 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Also see acknowledgements in Readme.html</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">This program is free software; you can redistribute it and/or modify it under</span>
<a name="l00011"></a>00011 <span class="comment">the terms of the GNU Lesser General Public License as published by the Free Software</span>
<a name="l00012"></a>00012 <span class="comment">Foundation; either version 2 of the License, or (at your option) any later</span>
<a name="l00013"></a>00013 <span class="comment">version.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">This program is distributed in the hope that it will be useful, but WITHOUT</span>
<a name="l00016"></a>00016 <span class="comment">ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS</span>
<a name="l00017"></a>00017 <span class="comment">FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">You should have received a copy of the GNU Lesser General Public License along with</span>
<a name="l00020"></a>00020 <span class="comment">this program; if not, write to the Free Software Foundation, Inc., 59 Temple</span>
<a name="l00021"></a>00021 <span class="comment">Place - Suite 330, Boston, MA 02111-1307, USA, or go to</span>
<a name="l00022"></a>00022 <span class="comment">http://www.gnu.org/copyleft/lesser.txt.</span>
<a name="l00023"></a>00023 <span class="comment"></span>
<a name="l00024"></a>00024 <span class="comment">You may alternatively use this source under the terms of a specific version of</span>
<a name="l00025"></a>00025 <span class="comment">the OGRE Unrestricted License provided you have obtained such a license from</span>
<a name="l00026"></a>00026 <span class="comment">Torus Knot Software Ltd.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __Platform_H_</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __Platform_H_</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="OgreConfig_8h.html">OgreConfig.h</a>"</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="keyword">namespace </span>Ogre {
<a name="l00035"></a>00035 <span class="comment">/* Initial platform/compiler-related stuff to set.</span>
<a name="l00036"></a>00036 <span class="comment">*/</span>
<a name="l00037"></a><a class="code" href="OgrePlatform_8h.html#cbe1943c4784d0e38a71195b186b2648">00037</a> <span class="preprocessor">#define OGRE_PLATFORM_WIN32 1</span>
<a name="l00038"></a><a class="code" href="OgrePlatform_8h.html#d6ca9e6d3e2b2da8d4ee9e74a8a8f437">00038</a> <span class="preprocessor"></span><span class="preprocessor">#define OGRE_PLATFORM_LINUX 2</span>
<a name="l00039"></a><a class="code" href="OgrePlatform_8h.html#c1835ebd5d472ca20f5b4b3a2ddee10a">00039</a> <span class="preprocessor"></span><span class="preprocessor">#define OGRE_PLATFORM_APPLE 3</span>
<a name="l00040"></a>00040 <span class="preprocessor"></span>
<a name="l00041"></a><a class="code" href="OgrePlatform_8h.html#6a94af2b19015f8d92898251ba51b894">00041</a> <span class="preprocessor">#define OGRE_COMPILER_MSVC 1</span>
<a name="l00042"></a><a class="code" href="OgrePlatform_8h.html#c98b9fc56eebcda33a152960bd376375">00042</a> <span class="preprocessor"></span><span class="preprocessor">#define OGRE_COMPILER_GNUC 2</span>
<a name="l00043"></a><a class="code" href="OgrePlatform_8h.html#b912259af4a8a0d36f9b40df0d2eaa9f">00043</a> <span class="preprocessor"></span><span class="preprocessor">#define OGRE_COMPILER_BORL 3</span>
<a name="l00044"></a>00044 <span class="preprocessor"></span>
<a name="l00045"></a><a class="code" href="OgrePlatform_8h.html#600c868168881add7117060af46eb666">00045</a> <span class="preprocessor">#define OGRE_ENDIAN_LITTLE 1</span>
<a name="l00046"></a><a class="code" href="OgrePlatform_8h.html#077f6bc75ffd397f81a56ec2cd2838c3">00046</a> <span class="preprocessor"></span><span class="preprocessor">#define OGRE_ENDIAN_BIG 2</span>
<a name="l00047"></a>00047 <span class="preprocessor"></span>
<a name="l00048"></a><a class="code" href="OgrePlatform_8h.html#37b62784316fecdf49524d6492b2f54e">00048</a> <span class="preprocessor">#define OGRE_ARCHITECTURE_32 1</span>
<a name="l00049"></a><a class="code" href="OgrePlatform_8h.html#338389706b17fb84162ebfa9a4c2195a">00049</a> <span class="preprocessor"></span><span class="preprocessor">#define OGRE_ARCHITECTURE_64 2</span>
<a name="l00050"></a>00050 <span class="preprocessor"></span>
<a name="l00051"></a>00051 <span class="comment">/* Finds the compiler type and version.</span>
<a name="l00052"></a>00052 <span class="comment">*/</span>
<a name="l00053"></a>00053 <span class="preprocessor">#if defined( _MSC_VER )</span>
<a name="l00054"></a>00054 <span class="preprocessor"></span><span class="preprocessor">#   define OGRE_COMPILER OGRE_COMPILER_MSVC</span>
<a name="l00055"></a>00055 <span class="preprocessor"></span><span class="preprocessor">#   define OGRE_COMP_VER _MSC_VER</span>
<a name="l00056"></a>00056 <span class="preprocessor"></span>
<a name="l00057"></a>00057 <span class="preprocessor">#elif defined( __GNUC__ )</span>
<a name="l00058"></a>00058 <span class="preprocessor"></span><span class="preprocessor">#   define OGRE_COMPILER OGRE_COMPILER_GNUC</span>
<a name="l00059"></a>00059 <span class="preprocessor"></span><span class="preprocessor">#   define OGRE_COMP_VER (((__GNUC__)*100) + \</span>
<a name="l00060"></a>00060 <span class="preprocessor">        (__GNUC_MINOR__*10) + \</span>
<a name="l00061"></a>00061 <span class="preprocessor">        __GNUC_PATCHLEVEL__)</span>
<a name="l00062"></a>00062 <span class="preprocessor"></span>
<a name="l00063"></a>00063 <span class="preprocessor">#elif defined( __BORLANDC__ )</span>
<a name="l00064"></a>00064 <span class="preprocessor"></span><span class="preprocessor">#   define OGRE_COMPILER OGRE_COMPILER_BORL</span>
<a name="l00065"></a>00065 <span class="preprocessor"></span><span class="preprocessor">#   define OGRE_COMP_VER __BCPLUSPLUS__</span>
<a name="l00066"></a>00066 <span class="preprocessor"></span>
<a name="l00067"></a>00067 <span class="preprocessor">#else</span>
<a name="l00068"></a>00068 <span class="preprocessor"></span><span class="preprocessor">#   pragma error "No known compiler. Abort! Abort!"</span>
<a name="l00069"></a>00069 <span class="preprocessor"></span>
<a name="l00070"></a>00070 <span class="preprocessor">#endif</span>
<a name="l00071"></a>00071 <span class="preprocessor"></span>
<a name="l00072"></a>00072 <span class="comment">/* See if we can use __forceinline or if we need to use __inline instead */</span>
<a name="l00073"></a>00073 <span class="preprocessor">#if OGRE_COMPILER == OGRE_COMPILER_MSVC</span>
<a name="l00074"></a>00074 <span class="preprocessor"></span><span class="preprocessor">#   if OGRE_COMP_VER &gt;= 1200</span>
<a name="l00075"></a>00075 <span class="preprocessor"></span><span class="preprocessor">#       define FORCEINLINE __forceinline</span>
<a name="l00076"></a>00076 <span class="preprocessor"></span><span class="preprocessor">#   endif</span>
<a name="l00077"></a>00077 <span class="preprocessor"></span><span class="preprocessor">#elif defined(__MINGW32__)</span>
<a name="l00078"></a>00078 <span class="preprocessor"></span><span class="preprocessor">#   if !defined(FORCEINLINE)</span>
<a name="l00079"></a>00079 <span class="preprocessor"></span><span class="preprocessor">#       define FORCEINLINE __inline</span>
<a name="l00080"></a>00080 <span class="preprocessor"></span><span class="preprocessor">#   endif</span>
<a name="l00081"></a>00081 <span class="preprocessor"></span><span class="preprocessor">#else</span>
<a name="l00082"></a><a class="code" href="OgrePlatform_8h.html#724fb9f82013c782db5c3c12ea36aac8">00082</a> <span class="preprocessor"></span><span class="preprocessor">#   define FORCEINLINE __inline</span>
<a name="l00083"></a>00083 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00084"></a>00084 <span class="preprocessor"></span>
<a name="l00085"></a>00085 <span class="comment">/* Finds the current platform */</span>
<a name="l00086"></a>00086 
<a name="l00087"></a>00087 <span class="preprocessor">#if defined( __WIN32__ ) || defined( _WIN32 )</span>
<a name="l00088"></a>00088 <span class="preprocessor"></span><span class="preprocessor">#   define OGRE_PLATFORM OGRE_PLATFORM_WIN32</span>
<a name="l00089"></a>00089 <span class="preprocessor"></span>
<a name="l00090"></a>00090 <span class="preprocessor">#elif defined( __APPLE_CC__)</span>
<a name="l00091"></a>00091 <span class="preprocessor"></span><span class="preprocessor">#   define OGRE_PLATFORM OGRE_PLATFORM_APPLE</span>
<a name="l00092"></a>00092 <span class="preprocessor"></span>
<a name="l00093"></a>00093 <span class="preprocessor">#else</span>
<a name="l00094"></a><a class="code" href="OgrePlatform_8h.html#d84d3cf520c16ba4ffd3715942f7f175">00094</a> <span class="preprocessor"></span><span class="preprocessor">#   define OGRE_PLATFORM OGRE_PLATFORM_LINUX</span>
<a name="l00095"></a>00095 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00096"></a>00096 <span class="preprocessor"></span>
<a name="l00097"></a>00097     <span class="comment">/* Find the arch type */</span>
<a name="l00098"></a>00098 <span class="preprocessor">#if defined(__x86_64__) || defined(_M_X64) || defined(__powerpc64__) || defined(__alpha__) || defined(__ia64__) || defined(__s390__) || defined(__s390x__)</span>
<a name="l00099"></a>00099 <span class="preprocessor"></span><span class="preprocessor">#   define OGRE_ARCH_TYPE OGRE_ARCHITECTURE_64</span>
<a name="l00100"></a>00100 <span class="preprocessor"></span><span class="preprocessor">#else</span>
<a name="l00101"></a><a class="code" href="OgrePlatform_8h.html#4de9497f1c50d8052061e4870d5cdb42">00101</a> <span class="preprocessor"></span><span class="preprocessor">#   define OGRE_ARCH_TYPE OGRE_ARCHITECTURE_32</span>
<a name="l00102"></a>00102 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00103"></a>00103 <span class="preprocessor"></span>
<a name="l00104"></a>00104 <span class="comment">// For generating compiler warnings - should work on any compiler</span>
<a name="l00105"></a>00105 <span class="comment">// As a side note, if you start your message with 'Warning: ', the MSVC</span>
<a name="l00106"></a>00106 <span class="comment">// IDE actually does catch a warning :)</span>
<a name="l00107"></a><a class="code" href="OgrePlatform_8h.html#9201035492049999bc82d4baa25ee090">00107</a> <span class="preprocessor">#define OGRE_QUOTE_INPLACE(x) # x</span>
<a name="l00108"></a><a class="code" href="OgrePlatform_8h.html#b79b68443593aa3abe67d6adea621226">00108</a> <span class="preprocessor"></span><span class="preprocessor">#define OGRE_QUOTE(x) OGRE_QUOTE_INPLACE(x)</span>
<a name="l00109"></a><a class="code" href="OgrePlatform_8h.html#b61ba9272b27cdd1181dd5a18d40b750">00109</a> <span class="preprocessor"></span><span class="preprocessor">#define OGRE_WARN( x )  message( __FILE__ "(" QUOTE( __LINE__ ) ") : " x "\n" )</span>
<a name="l00110"></a>00110 <span class="preprocessor"></span>
<a name="l00111"></a>00111 <span class="comment">//----------------------------------------------------------------------------</span>
<a name="l00112"></a>00112 <span class="comment">// Windows Settings</span>
<a name="l00113"></a>00113 <span class="preprocessor">#if OGRE_PLATFORM == OGRE_PLATFORM_WIN32</span>
<a name="l00114"></a>00114 <span class="preprocessor"></span>
<a name="l00115"></a>00115 <span class="comment">// If we're not including this from a client build, specify that the stuff</span>
<a name="l00116"></a>00116 <span class="comment">// should get exported. Otherwise, import it.</span>
<a name="l00117"></a>00117 <span class="preprocessor">#   if defined( OGRE_STATIC_LIB )</span>
<a name="l00118"></a>00118 <span class="preprocessor"></span>        <span class="comment">// Linux compilers don't have symbol import/export directives.</span>
<a name="l00119"></a>00119 <span class="preprocessor">#       define _OgreExport</span>
<a name="l00120"></a>00120 <span class="preprocessor"></span><span class="preprocessor">#       define _OgrePrivate</span>
<a name="l00121"></a>00121 <span class="preprocessor"></span><span class="preprocessor">#   else</span>
<a name="l00122"></a>00122 <span class="preprocessor"></span><span class="preprocessor">#       if defined( OGRE_NONCLIENT_BUILD )</span>
<a name="l00123"></a>00123 <span class="preprocessor"></span><span class="preprocessor">#           define _OgreExport __declspec( dllexport )</span>
<a name="l00124"></a>00124 <span class="preprocessor"></span><span class="preprocessor">#       else</span>
<a name="l00125"></a>00125 <span class="preprocessor"></span><span class="preprocessor">#           if defined( __MINGW32__ )</span>
<a name="l00126"></a>00126 <span class="preprocessor"></span><span class="preprocessor">#               define _OgreExport</span>
<a name="l00127"></a>00127 <span class="preprocessor"></span><span class="preprocessor">#           else</span>
<a name="l00128"></a>00128 <span class="preprocessor"></span><span class="preprocessor">#               define _OgreExport __declspec( dllimport )</span>
<a name="l00129"></a>00129 <span class="preprocessor"></span><span class="preprocessor">#           endif</span>
<a name="l00130"></a>00130 <span class="preprocessor"></span><span class="preprocessor">#       endif</span>
<a name="l00131"></a>00131 <span class="preprocessor"></span><span class="preprocessor">#       define _OgrePrivate</span>
<a name="l00132"></a>00132 <span class="preprocessor"></span><span class="preprocessor">#   endif</span>
<a name="l00133"></a>00133 <span class="preprocessor"></span><span class="comment">// Win32 compilers use _DEBUG for specifying debug builds.</span>
<a name="l00134"></a>00134 <span class="preprocessor">#   ifdef _DEBUG</span>
<a name="l00135"></a>00135 <span class="preprocessor"></span><span class="preprocessor">#       define OGRE_DEBUG_MODE 1</span>
<a name="l00136"></a>00136 <span class="preprocessor"></span><span class="preprocessor">#   else</span>
<a name="l00137"></a>00137 <span class="preprocessor"></span><span class="preprocessor">#       define OGRE_DEBUG_MODE 0</span>
<a name="l00138"></a>00138 <span class="preprocessor"></span><span class="preprocessor">#   endif</span>
<a name="l00139"></a>00139 <span class="preprocessor"></span>
<a name="l00140"></a>00140 <span class="comment">// Disable unicode support on MingW at the moment, poorly supported in stdlibc++</span>
<a name="l00141"></a>00141 <span class="comment">// STLPORT fixes this though so allow if found</span>
<a name="l00142"></a>00142 <span class="comment">// MinGW C++ Toolkit supports unicode and sets the define __MINGW32_TOOLKIT_UNICODE__ in _mingw.h</span>
<a name="l00143"></a>00143 <span class="preprocessor">#if defined( __MINGW32__ ) &amp;&amp; !defined(_STLPORT_VERSION)</span>
<a name="l00144"></a>00144 <span class="preprocessor"></span><span class="preprocessor">#   include&lt;_mingw.h&gt;</span>
<a name="l00145"></a>00145 <span class="preprocessor">#   if defined(__MINGW32_TOOLBOX_UNICODE__)</span>
<a name="l00146"></a>00146 <span class="preprocessor"></span><span class="preprocessor">#       define OGRE_UNICODE_SUPPORT 1</span>
<a name="l00147"></a>00147 <span class="preprocessor"></span><span class="preprocessor">#   else</span>
<a name="l00148"></a>00148 <span class="preprocessor"></span><span class="preprocessor">#       define OGRE_UNICODE_SUPPORT 0</span>
<a name="l00149"></a>00149 <span class="preprocessor"></span><span class="preprocessor">#   endif</span>
<a name="l00150"></a>00150 <span class="preprocessor"></span><span class="preprocessor">#else</span>
<a name="l00151"></a>00151 <span class="preprocessor"></span><span class="preprocessor">#   define OGRE_UNICODE_SUPPORT 1</span>
<a name="l00152"></a>00152 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00153"></a>00153 <span class="preprocessor"></span>
<a name="l00154"></a>00154 <span class="preprocessor">#endif</span>
<a name="l00155"></a>00155 <span class="preprocessor"></span><span class="comment">//----------------------------------------------------------------------------</span>
<a name="l00156"></a>00156 
<a name="l00157"></a>00157 <span class="comment">//----------------------------------------------------------------------------</span>
<a name="l00158"></a>00158 <span class="comment">// Linux/Apple Settings</span>
<a name="l00159"></a>00159 <span class="preprocessor">#if OGRE_PLATFORM == OGRE_PLATFORM_LINUX || OGRE_PLATFORM == OGRE_PLATFORM_APPLE</span>
<a name="l00160"></a>00160 <span class="preprocessor"></span>
<a name="l00161"></a>00161 <span class="comment">// Enable GCC symbol visibility</span>
<a name="l00162"></a>00162 <span class="preprocessor">#   if defined( OGRE_GCC_VISIBILITY )</span>
<a name="l00163"></a>00163 <span class="preprocessor"></span><span class="preprocessor">#       define _OgreExport  __attribute__ ((visibility("default")))</span>
<a name="l00164"></a>00164 <span class="preprocessor"></span><span class="preprocessor">#       define _OgrePrivate __attribute__ ((visibility("hidden")))</span>
<a name="l00165"></a>00165 <span class="preprocessor"></span><span class="preprocessor">#   else</span>
<a name="l00166"></a><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">00166</a> <span class="preprocessor"></span><span class="preprocessor">#       define _OgreExport</span>
<a name="l00167"></a><a class="code" href="OgrePlatform_8h.html#f4c2f5df97e3050dd5266408be42db4b">00167</a> <span class="preprocessor"></span><span class="preprocessor">#       define _OgrePrivate</span>
<a name="l00168"></a>00168 <span class="preprocessor"></span><span class="preprocessor">#   endif</span>
<a name="l00169"></a>00169 <span class="preprocessor"></span>
<a name="l00170"></a>00170 <span class="comment">// A quick define to overcome different names for the same function</span>
<a name="l00171"></a><a class="code" href="OgrePlatform_8h.html#4e0be90a3757e352f42612d09a7d1aa5">00171</a> <span class="preprocessor">#   define stricmp strcasecmp</span>
<a name="l00172"></a>00172 <span class="preprocessor"></span>
<a name="l00173"></a>00173 <span class="comment">// Unlike the Win32 compilers, Linux compilers seem to use DEBUG for when</span>
<a name="l00174"></a>00174 <span class="comment">// specifying a debug build.</span>
<a name="l00175"></a>00175 <span class="comment">// (??? this is wrong, on Linux debug builds aren't marked in any way unless</span>
<a name="l00176"></a>00176 <span class="comment">// you mark it yourself any way you like it -- zap ???)</span>
<a name="l00177"></a>00177 <span class="preprocessor">#   ifdef DEBUG</span>
<a name="l00178"></a>00178 <span class="preprocessor"></span><span class="preprocessor">#       define OGRE_DEBUG_MODE 1</span>
<a name="l00179"></a>00179 <span class="preprocessor"></span><span class="preprocessor">#   else</span>
<a name="l00180"></a><a class="code" href="OgrePlatform_8h.html#15ea2b61c3e8ac05db2972f528f94753">00180</a> <span class="preprocessor"></span><span class="preprocessor">#       define OGRE_DEBUG_MODE 0</span>
<a name="l00181"></a>00181 <span class="preprocessor"></span><span class="preprocessor">#   endif</span>
<a name="l00182"></a>00182 <span class="preprocessor"></span>
<a name="l00183"></a>00183 <span class="preprocessor">#if OGRE_PLATFORM == OGRE_PLATFORM_APPLE</span>
<a name="l00184"></a>00184 <span class="preprocessor"></span><span class="preprocessor">    #define OGRE_PLATFORM_LIB "OgrePlatform.bundle"</span>
<a name="l00185"></a>00185 <span class="preprocessor"></span><span class="preprocessor">#else</span>
<a name="l00186"></a>00186 <span class="preprocessor"></span>    <span class="comment">//OGRE_PLATFORM_LINUX</span>
<a name="l00187"></a><a class="code" href="OgrePlatform_8h.html#bd45db57e45902634b2b9dbb7b2b9338">00187</a> <span class="preprocessor">    #define OGRE_PLATFORM_LIB "libOgrePlatform.so"</span>
<a name="l00188"></a>00188 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00189"></a>00189 <span class="preprocessor"></span>
<a name="l00190"></a>00190 <span class="comment">// Always enable unicode support for the moment</span>
<a name="l00191"></a>00191 <span class="comment">// Perhaps disable in old versions of gcc if necessary</span>
<a name="l00192"></a><a class="code" href="OgrePlatform_8h.html#6b22414ce99a335fea0f51584cb766e4">00192</a> <span class="preprocessor">#define OGRE_UNICODE_SUPPORT 1</span>
<a name="l00193"></a>00193 <span class="preprocessor"></span>
<a name="l00194"></a>00194 <span class="preprocessor">#endif</span>
<a name="l00195"></a>00195 <span class="preprocessor"></span>
<a name="l00196"></a>00196 <span class="comment">//For apple, we always have a custom config.h file</span>
<a name="l00197"></a>00197 <span class="preprocessor">#if OGRE_PLATFORM == OGRE_PLATFORM_APPLE</span>
<a name="l00198"></a>00198 <span class="preprocessor"></span><span class="preprocessor">#    include "config.h"</span>
<a name="l00199"></a>00199 <span class="preprocessor">#endif</span>
<a name="l00200"></a>00200 <span class="preprocessor"></span>
<a name="l00201"></a>00201 <span class="comment">//----------------------------------------------------------------------------</span>
<a name="l00202"></a>00202 
<a name="l00203"></a>00203 <span class="comment">//----------------------------------------------------------------------------</span>
<a name="l00204"></a>00204 <span class="comment">// Endian Settings</span>
<a name="l00205"></a>00205 <span class="comment">// check for BIG_ENDIAN config flag, set OGRE_ENDIAN correctly</span>
<a name="l00206"></a>00206 <span class="preprocessor">#ifdef OGRE_CONFIG_BIG_ENDIAN</span>
<a name="l00207"></a>00207 <span class="preprocessor"></span><span class="preprocessor">#    define OGRE_ENDIAN OGRE_ENDIAN_BIG</span>
<a name="l00208"></a>00208 <span class="preprocessor"></span><span class="preprocessor">#else</span>
<a name="l00209"></a><a class="code" href="OgrePlatform_8h.html#9af9f9208025e8051717aee67e4e7267">00209</a> <span class="preprocessor"></span><span class="preprocessor">#    define OGRE_ENDIAN OGRE_ENDIAN_LITTLE</span>
<a name="l00210"></a>00210 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00211"></a>00211 <span class="preprocessor"></span>
<a name="l00212"></a>00212 <span class="comment">// Integer formats of fixed bit width</span>
<a name="l00213"></a><a class="code" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">00213</a> <span class="keyword">typedef</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>;
<a name="l00214"></a><a class="code" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">00214</a> <span class="keyword">typedef</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> <a class="code" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>;
<a name="l00215"></a><a class="code" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">00215</a> <span class="keyword">typedef</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> <a class="code" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>;
<a name="l00216"></a>00216 
<a name="l00217"></a>00217 }
<a name="l00218"></a>00218 
<a name="l00219"></a>00219 <span class="preprocessor">#endif</span>
</pre></div><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:54 2008
</p>
</body>
</html>
